udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
options.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | OPT_HELP 0x1000
#define | OPT_NO_EFE 0x1001
#define | OPT_UNICODE8 0x1002
#define | OPT_UNICODE16 0x1003
#define | OPT_UTF8 0x1004
#define | OPT_BRIDGE 0x1005
#define | OPT_CLOSED 0x1006
#define | OPT_BLK_SIZE 0x2000
#define | OPT_UDF_REV 0x2001
#define | OPT_LVID 0x2002
#define | OPT_VID 0x2003
#define | OPT_VSID 0x2004
#define | OPT_FSID 0x2005
#define | OPT_STRATEGY 0x2006
#define | OPT_SPARTABLE 0x2007
#define | OPT_PACKETLEN 0x2008
#define | OPT_MEDIA_TYPE 0x2009
#define | OPT_SPACE 0x200A
#define | OPT_AD 0x200B
#define | OPT_LABEL 0x200C
#define | OPT_UUID 0x200D
#define | OPT_FULLVSID 0x200E
#define | OPT_UID 0x200F
#define | OPT_GID 0x2010

## Functions
void | usage (void)
| Prints out usage. More...
void | parse_args (int, char *[], struct udf_disc *, char *, int *)

## Macro Definition Documentation

#define OPT_AD 0x200B

Definition at line 55 of file options.h.

#define OPT_BLK_SIZE 0x2000

Definition at line 44 of file options.h.

#define OPT_BRIDGE 0x1005

Definition at line 41 of file options.h.

#define OPT_CLOSED 0x1006

Definition at line 42 of file options.h.

#define OPT_FSID 0x2005

Definition at line 49 of file options.h.

#define OPT_FULLVSID 0x200E

Definition at line 58 of file options.h.

#define OPT_GID 0x2010

Definition at line 60 of file options.h.

#define OPT_HELP 0x1000

Definition at line 36 of file options.h.

#define OPT_LABEL 0x200C

Definition at line 56 of file options.h.

#define OPT_LVID 0x2002

Definition at line 46 of file options.h.

#define OPT_MEDIA_TYPE 0x2009

Definition at line 53 of file options.h.

#define OPT_NO_EFE 0x1001

Definition at line 37 of file options.h.

#define OPT_PACKETLEN 0x2008

Definition at line 52 of file options.h.

#define OPT_SPACE 0x200A

Definition at line 54 of file options.h.

#define OPT_SPARTABLE 0x2007

Definition at line 51 of file options.h.

#define OPT_STRATEGY 0x2006

Definition at line 50 of file options.h.

#define OPT_UDF_REV 0x2001

Definition at line 45 of file options.h.

#define OPT_UID 0x200F

Definition at line 59 of file options.h.

#define OPT_UNICODE16 0x1003

Definition at line 39 of file options.h.

#define OPT_UNICODE8 0x1002

Definition at line 38 of file options.h.

#define OPT_UTF8 0x1004

Definition at line 40 of file options.h.

#define OPT_UUID 0x200D

Definition at line 57 of file options.h.

#define OPT_VID 0x2003

Definition at line 47 of file options.h.

#define OPT_VSID 0x2004

Definition at line 48 of file options.h.

## Function Documentation

void parse_args | ( | int | ,
|  | char * | [],
|  | struct udf_disc * | ,
|  | char * | ,
|  | int * |
| ) |  |

Definition at line 104 of file options.c.

void usage | ( | void |  | ) |

Prints out usage.

Definition at line 56 of file options.c.